'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class TaxRate extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
      TaxRate.hasMany(models.TaxCategory, { foreignKey: 'taxRateId', as: 'taxCategories' });
    }
  }
  TaxRate.init({
    name: DataTypes.STRING,
    rate: DataTypes.DECIMAL,
    description: DataTypes.TEXT,
    isDefault: DataTypes.BOOLEAN,
    isActive: DataTypes.BOOLEAN
  }, {
    sequelize,
    modelName: 'TaxRate',
  });
  return TaxRate;
};